# QTextDrag Class Reference

The QTextDrag provides a drag-and-drop object for transferring plain text. More...

`#include <qdragobject.h>`

Inherits QStoredDrag.

List of all member functions.

## Public Members

- QTextDrag ( const char *, QWidget * dragSource = 0, const char * name = 0 )
- QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~QTextDrag ()
- void setText ( const char * )

## Static Public Members

- bool canDecode ( QDragMoveEvent * e )
- bool decode ( QDropEvent * e, QString & s )

## Detailed Description

The QTextDrag provides a drag-and-drop object for transferring plain text.

Plain text is defined as single- or multi-line US-ASCII or an unspecified 8-bit character set.

Qt provides no built-in mechanism for delivering only single-line or only US-ASCII text.

Drag&Drop text does not have a NUL terminator when it is dropped onto the target.

For detailed information about drag-and-drop, see the QDragObject class.

## Member Function Documentation

### QTextDrag::QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )

Creates a default text drag object. dragSource must be the drag source, name is the object name.

### QTextDrag::QTextDrag ( const char * text, QWidget * dragSource = 0, const char * name = 0 )

Creates a text drag object and sets it to text. dragSource must be the drag source, name is the object name.

### QTextDrag::~QTextDrag ()

Destroys the text drag object and frees all allocated resources.

### bool QTextDrag::canDecode ( QDragMoveEvent * e ) `[static]`

Returns TRUE if the information in e can be decoded into a QString.

See also: decode().

### bool QTextDrag::decode ( QDropEvent * e, QString & str ) `[static]`

Attempts to decode the dropped information in e into str, returning TRUE if successful.

See also: decode().

### void QTextDrag::setText ( const char * text )

Sets the text to be dragged. You will need to call this if you did not pass the text during construction.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qdragobject.h: 1998/08/19
- qdragobject.cpp: 1998/12/07